# Varbase Search

Provides search configuration, and offering search capabilities.

## Varbase Search Module

{% hint style="info" %}
Varbase searching features are bundled through the **Varbase Search** module.\
GitHub: <https://github.com/Vardot/varbase_search>\
Drupal.org: <https://www.drupal.org/project/varbase_search>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Search** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_search
```

Brings in the following core and contributed modules to your site:

| Module                                                           | Purpose                                                                                    |
| ---------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| [**Search API**](https://www.drupal.org/project/search_api)      | Provides a generic framework for modules offering search capabilities.                     |
| [**Database Search**](https://www.drupal.org/project/search_api) | Offers an implementation of the Search API that uses database tables for indexing content. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/optional-components/varbase-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
